Bug 591744 - [abrt] crash in system-config-display-2.2-1.fc12: alias.py:51:matchDevice:AttributeError: 'module' object has no attribute 'reduce'
[abrt] crash in system-config-display-2.2-1.fc12: alias.py:51:matchDevice:Att...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:5d7cb19e
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 19:09 EDT by quintesse
Modified: 2010-05-14 18:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-14 18:01:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (881 bytes, text/plain)
2010-05-12 19:09 EDT, quintesse
no flags Details

  None (edit)
Description quintesse 2010-05-12 19:09:11 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/share/system-config-display/xconf.py
comment: Just started it. There are several other python-based apps that started doing this so it probably has got something to do with my python installation, but I have no idea what exactly.
component: system-config-display
executable: /usr/share/system-config-display/xconf.py
kernel: 2.6.32.12-114.fc12.i686.PAE
package: system-config-display-2.2-1.fc12
reason: alias.py:51:matchDevice:AttributeError: 'module' object has no attribute 'reduce'
release: Fedora release 12 (Constantine)

backtrace
-----
alias.py:51:matchDevice:AttributeError: 'module' object has no attribute 'reduce'

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 293, in <module>
    vc = videocard.VideoCardInfo()
  File "/usr/share/system-config-display/videocard.py", line 168, in __init__
    driver = aliases.matchDevice(v, d, sv, sd)
  File "/usr/share/system-config-display/alias.py", line 51, in matchDevice
    match = reduce(self.betterMatch, matches)
AttributeError: 'module' object has no attribute 'reduce'

Local variables in innermost frame:
d: dbus.Int32(37952)
bc: 255
matches: [['v00001002d00009440sv*sd*bc*sc*i*', 'radeon']]
self: <alias.Alias instance at 0x9ca942c>
sv: dbus.Int32(5963)
i: 255
str: 'v00001002d00009440sv0000174Bsd0000E131bcFFscFFiFF'
v: dbus.Int32(4098)
sc: 255
x: ['v0000105Dd00005348sv*sd*bc*sc*i*', 'i128']
sd: dbus.Int32(57649)
Comment 1 quintesse 2010-05-12 19:09:13 EDT
Created attachment 413595 [details]
File: backtrace
Comment 2 quintesse 2010-05-12 19:27:24 EDT
Running python and testing the reduce function results in the following:


Python 2.6.2 (r262:71600, Jan 25 2010, 18:46:45) 
[GCC 4.4.2 20091222 (Red Hat 4.4.2-20)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> reduce
<built-in function reduce>
>>> reduce(lambda x, y: x+y, [1, 2, 3, 4, 5])
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
AttributeError: 'module' object has no attribute 'reduce'
>>>
Comment 3 quintesse 2010-05-14 18:01:34 EDT
Sorry, false alarm, somehow the install got corrupted.

$ rpm -V python
S.5....T.    /usr/lib/python2.6/functools.py
S.5....T.    /usr/lib/python2.6/functools.pyc

Note You need to log in before you can comment on or make changes to this bug.